<?xml version="1.0"?>
<OBJECTS name="AdminPortal">

    <NODE name="dynamic_content_form::APPLICANT_PORTAL"   factory="Participant">
        <FORM   name="*.signIn"                 factory="Participant"   class="performa.form.SignInCandidateFP"/>
        <FORM   name="*.verifyIdentity"         factory="Participant"   class="performa.form.VerifyIdentityFP"/>
        <FORM   name="*.completeApplication"    factory="Participant"   class="performa.form.CompleteApplicationFP"/>
        <FORM   name="*.validateApplication"    factory="Participant"   class="performa.form.ValidateApplicationFP"/>
        <FORM   name="*.saveAndExitExperienece" factory="Participant"   class="performa.form.SaveAndExitExperienceFP"/>
        <FORM   name="*.saveAndExitCulture"     factory="Participant"   class="performa.form.SaveAndExitCultureFP"/>
        <FORM   name="*.saveAndExitWorkStyle"   factory="Participant"   class="performa.form.SaveAndExitWorkStypeFP"/>
        <FORM name="*.sendVerificationMail"     factory="Participant"   class="performa.form.SendVerificationMailFP">
            <AccountVerificationEmailer         factory="Participant"   class="oneit.email.ConfigurableArticleTemplateEmailer"  templateShortcut="AccountVerificationMail"/>
        </FORM>
        <FORM   name="*.facebookOAuthLogin"     factory="Participant"   class="oneit.security.oauth.form.FacebookOAuthLoginFP"/>
        <FORM   name="*.googleOAuthLogin"       factory="Participant"   class="oneit.security.oauth.form.GoogleOAuthLoginFP"/>
        <FORM   name="*.linkedinOAuthLogin"     factory="Participant"   class="performa.form.LinkedInOAuthLoginFP"/>
        <FORM   name="*.forgotPassword" factory="Participant"   class="performa.form.ForgotPasswordFP">
            <ResetCodeEmailer   factory="Participant"   class="oneit.email.ConfigurableArticleTemplateEmailer"  templateShortcut="ResetCodeEmail"/>
        </FORM>
        <FORM   name="*.resetPassword"  factory="Participant"   class="performa.form.ResetPasswordFP"/>
        <FORM   name="*.confirmDetails" factory="Participant"   class="performa.form.ConfirmDetailsFP"/>
    </NODE>
    
    <NODE   name="dynamic_content_form_applicant"  factory="Participant">
        <INHERITS   factory="Named" nodename="dynamic_content_form"/>
        
        <DECORATOR id="auth" factory="MetaComponent" component="ApplicantPortalAuthDecorator"   priv="TL_AccessApplicantPortal"/>
    </NODE>

    <NODE name="ApplicantPortalAuthDecorator"   factory="Participant"   class="oneit.servlets.utils.decorator.AuthenticatorDecorator">
        <AUTHENTICATOR factory="Participant" class="oneit.security.SecurityAuthenticator">
            <PRIVILEGE      factory="Parameter" param="priv"/>
            <FAILED_URL     factory="String"    value="RestrictedAccess.jsp"/>
            <NO_USER_URL    factory="String"    value="ApplicantPortal-ApplyJob.htm"/>
        </AUTHENTICATOR>
    </NODE>
    
    <NODE name="job_match_questions_jsp"    factory="Participant">
        <INHERITS factory="Named"   nodename="CoreORMAdminNoPriv"/>
    </NODE>
    
    <NODE name="save_job_match_answers_jsp" factory="Participant">
        <INHERITS factory="Named"   nodename="CoreORMAdminNoPriv"/>
    </NODE>
    
    <NODE name="save_assessment_criteria_answers_jsp" factory="Participant">
        <INHERITS factory="Named"   nodename="CoreORMAdminNoPriv"/>
    </NODE>
</OBJECTS>
